lvar<-function (x, y, x.level) {
  jack.est = jack.est.fisher = c()
  jack.fisher.flag = 1
  time_point <- dim(x)[2]
  if (time_point == 1) {
    return("ERROR, data should at least havw two time points")
  }
  else {
    for (jack in 1:dim(x)[1]) {
      x.jack = x[-jack, ]
      y.jack = y[-jack, ]
      est.vec = c()
      for (j in 1:time_point) {
        temp.est1 = bsa(x.jack[, j], y.jack[, j], x.level)$bsa
        est.vec = c(est.vec, temp.est1)
      }
      temp.diff = (est.vec[-1] - est.vec[1]) * sqrt(dim(x)[1])
      jack.est = rbind(jack.est, temp.diff)
    }
    jack.est = as.matrix(jack.est[!is.na(apply(jack.est,
                                               1, sum)), ])
    jack.mean = apply(jack.est, 2, mean)
    dimension = time_point - 1
    Vn.sum = matrix(0, dimension, dimension)
    for (i in 1:dim(jack.est)[1]) {
      d.i = jack.est[i, ] - jack.mean
      Vn.sum = Vn.sum + matrix(d.i) %*% matrix(d.i, 1)
    }
    Vn = Vn.sum * (dim(jack.est)[1] - 1)/dim(jack.est)[1]
    return(Vn)
  }
}
