positive_pseudo.func<-function (x, y) {
  levels.x = as.numeric(levels(factor(x)))
  min.y = max.y = rep(0, length(levels.x))
  for (i in 1:length(levels.x)) {
    y.leveli = y[x == levels.x[i]]
    min.y[i] = sort(y.leveli)[1]
    max.y[i] = sort(y.leveli)[2]
  }
  pseudo = rep(0, (length(levels.x) - 1))
  for (j in 1:(length(levels.x) - 1)) {
    pseudo[j] = runif(1, min = min.y[j + 1], max = max.y[j +
                                                           1])
  }
  x.pseudo = c(x, 1:(length(levels.x) - 1))
  y.pseudo = c(y, pseudo)
  return(list(a = x.pseudo, b = y.pseudo))
}
